<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2011 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Modules
 */
/**************************************************************************/

/**
 * Статистика раздела на базе модуля "Пользователи".
 *
 * <a href="http://wiki.a-cms.ru/modules/users">Руководство</a>.
 */

class users_Statistic extends A_Statistic
{
/**
 * Формирование данных доступных в шаблоне.
 */

  function createData()
  {
    $this->Assign("users_count",A::$DB->getOne("SELECT COUNT(*) FROM {$this->section}"));
    $this->Assign("users_unactivate",A::$DB->getOne("SELECT COUNT(*) FROM {$this->section} WHERE active='N'"));
	$this->Assign("last_date",A::$DB->getOne("SELECT MAX(date) FROM {$this->section}"));
	if(getOption($this->section,"usebalance"))
	{ $this->Assign("sum_in",A::$DB->getOne("SELECT SUM(`in`) FROM {$this->section}_transactions"));
	  $this->Assign("sum_out",A::$DB->getOne("SELECT SUM(`out`) FROM {$this->section}_transactions"));
	  $this->Assign("sum_balance",A::$DB->getOne("SELECT SUM(balance) FROM {$this->section}"));
	  $this->Assign("usebalance",true);
	  $this->Assign("valute",getOption($this->section,"valute"));
	}
  }
}