DROP TABLE IF EXISTS `{section}`;
CREATE TABLE `{section}` (
  `id` int(11) NOT NULL auto_increment,
  `date` int(11) NOT NULL default '0',
  `idgroup` int(11) NOT NULL default '0',
  `idimg` int(11) NOT NULL default '0',
  `login` varchar(80) NOT NULL default '',
  `password` varchar(50) NOT NULL default '',
  `name` varchar(50) default NULL,
  `email` varchar(80) default NULL,
  `balance` decimal(10,2) NOT NULL default '0.00',
  `dauth` int(11) NOT NULL default '0',
  `cauth` int(11) NOT NULL default '0',
  `authcode` varchar(50) default NULL,
  `active` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `login` (`login`),
  KEY `date` (`date`),
  KEY `idgroup` (`idgroup`),
  KEY `dauth` (`dauth`),
  KEY `name` (`name`),
  KEY `active` (`active`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{section}_transactions`;
CREATE TABLE `{section}_transactions` (
  `id` int(11) NOT NULL auto_increment,
  `iduser` int(11) NOT NULL default '0',
  `date` int(11) NOT NULL default '0',
  `in` decimal(10,2) NOT NULL default '0.00',
  `out` decimal(10,2) NOT NULL default '0.00',
  `description` text default NULL,
  PRIMARY KEY  (`id`),
  KEY `date` (`date`),
  KEY `iduser` (`iduser`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;