<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2011 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Modules
 */
/**************************************************************************/

/**
 * Система авторизации пользователя.
 */

class Users_Auth extends A_Auth_User
{
/**
 * Полный строковой идентификатор раздела пользователей.
 */

  public $section;

/**
 * Конструктор.
 */

  function __construct()
  {
	$this->section=getSectionByModule('users');

	$c_id=isset($_COOKIE["{$this->section}_auth_id"])?$_COOKIE["{$this->section}_auth_id"]:0;
	$c_pass=isset($_COOKIE["{$this->section}_auth_pass"])?$_COOKIE["{$this->section}_auth_pass"]:"";

	$A_AUTH_ID=(integer)A_Session::get("{$this->section}_auth_id",0);
	$A_AUTH_PASS=A_Session::get("{$this->section}_auth_pass","");

	if($A_AUTH_ID==0 && $c_id>0)
	{ A_Session::set("{$this->section}_auth_id",$A_AUTH_ID=(integer)$c_id);
	  A_Session::set("{$this->section}_auth_pass",$A_AUTH_PASS=$c_pass);
	  A::$DB->execute("UPDATE {$this->section} SET cauth=cauth+1 WHERE id=".$A_AUTH_ID);
	}

	if($A_AUTH_ID>0)
	{ if($this->data=A::$DB->getRowById($A_AUTH_ID,$this->section))
	  { if($A_AUTH_PASS==md5($this->data['authcode'].$this->data['password']))
	    { $this->id=$A_AUTH_ID;
	      $this->authcode=$this->data['authcode'];
	      prepareValues($this->section,$this->data);
		  if($this->data['dauth']<time())
	      A::$DB->execute("UPDATE {$this->section} SET dauth=".(time()+600)." WHERE id=".$A_AUTH_ID);
	    }
	  }
	}
  }

/**
 * Авторизация.
 */

  function Login()
  {
	if(!empty($_REQUEST['login']) && !empty($_REQUEST['password']))
    {
	  if($row=A::$DB->getRow("SELECT id,password FROM {$this->section} WHERE login=? AND password=? AND active='Y'",array($_REQUEST['login'],md5($_REQUEST['password']))))
      { $A_AUTHCODE=md5(time());

	    A_Session::set("{$this->section}_auth_id",$row['id']);
		A_Session::set("{$this->section}_auth_pass",md5($A_AUTHCODE.$row['password']));

		if(isset($_REQUEST['auto']))
		{ setcookie("{$this->section}_auth_id",A_Session::get("{$this->section}_auth_id"),time()+31104000,"/");
		  setcookie("{$this->section}_auth_pass",A_Session::get("{$this->section}_auth_pass"),time()+31104000,"/");
		}

		A::$DB->execute("UPDATE {$this->section} SET cauth=cauth+1,authcode='$A_AUTHCODE' WHERE id=".$row['id']);

		if(!empty($_REQUEST['url']))
		A::goUrl($_REQUEST['url']);
	  }
    }

	A::goPrevUrl();
  }

/**
 * Выход.
 */

  function Logout()
  {
    A_Session::unregister("{$this->section}_auth_id");
	A_Session::unregister("{$this->section}_auth_pass");

	setcookie("{$this->section}_auth_id",0,time()-3600,"/");
    setcookie("{$this->section}_auth_pass",0,time()-3600,"/");

	A::$DB->execute("UPDATE {$this->section} SET dauth=".time()." WHERE id=".$this->id);

	if(!empty($_REQUEST['url']))
	A::goUrl($_REQUEST['url']);
	else
	A::goPrevUrl();
  }
}

A_AUTH::setInstance(new Users_Auth());