{include file="_header.tpl"}

<h1>Регистрация</h1>

{* Возможные ошибки при регистрации. *}
{if $errors.captcha}
<p style="color:red">Неверно введены контрольные цифры, попробуйте еще раз.</p>
{/if}
{if $errors.emptyemail}
<p style="color:red">Не указан email.</p>
{/if}
{if $errors.doublelogin}
<p style="color:red">Пользователь с таким логином уже существует, попробуйте другой.</p>
{/if}
{if $errors.doublename}
<p style="color:red">Указанное имя уже используется на форуме, попробуйте другое.</p>
{/if}

{* Скрипт валидации формы. *}
{literal}
<script type="text/javascript">
function valid_form(form)
{ if(form.name.value.replace(/\s+/, '').length==0)
  { alert("Пожалуйста, заполните имя."); return false; }
  if(!/^[a-zA-Z0-9_\-@.]+$/i.test(form.login.value))
  { alert("Пожалуйста, корректно заполните логин."); return false; }
  if(form.login.value.length<3)
  { alert("Пожалуйста, укажите логин не короче 3х символов."); return false; }
  if(form.password.value.replace(/\s+/, '').length==0)
  { alert("Пожалуйста, заполните пароль."); return false; }
  if(form.password.value!=form.password2.value)
  { alert("Пожалуйста, повторите ввод пароля."); return false; }
  if(form.email.value.replace(/\s+/, '').length == 0 )
  { alert("Пожалуйста, укажите email."); return false; }
  if(/(@.*@)|(\.\.)|(@\.)|(\.@)|(^\.)/i.test(form.email.value) || !/^\S+\@(\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z0-9]+)(\]?)$/i.test(form.email.value))
  { alert("Пожалуйста, правильно заполните email."); return false; }{/literal}
  {foreach from=$fields item=field}
  {if $field.fill=="Y" && $field.type!="bool" && $field.type!="select"}
  if(form.{$field.field}.value.replace(/\s+/, '').length==0)
  {literal}{{/literal} alert("Пожалуйста, заполните поле '{$field.name}'"); return false;{literal}}{/literal}
  {/if}
  {/foreach}
  {literal}
  if(form.captcha.value.replace(/\s+/, '').length<4)
  { alert('Пожалуйста, укажите код на картинке.'); return false; }
  return true;
}
</script>
{/literal}

<form method="post" onsubmit="return valid_form(this)" enctype="multipart/form-data">
Ваше имя:<b>*</b><br>
{editbox name="name" max=50 width="50%" text=$form.name}<br>
Логин:<b>*</b><br>
{editbox name="login" max=20 width="20%" text=$form.login}<br>
Пароль:<b>*</b><br>
<input name="password" type="password" value="{$form.password|escape}"  maxlength="50" style="width:20%"><br>
Пароль еще раз:<b>*</b><br>
<input name="password2" type="password" value="{$form.password2|escape}" maxlength="50" style="width:20%"><br>
Ваш email:<b>*</b><br>
{editbox name="email" max=50 width="20%" text=$form.email}<br>
{if $options.useavatara}
Логотип/Аватар:<br>
<input type="file" name="image"><br>
{/if}

{foreach from=$fields item=field}

{if $field.type=="string"}
{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}<br>
{editbox name=$field.field max=$field.length text=$field.value width="40%"}<br>

{elseif $field.type=="int" || $field.type=="float"}
{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}<br>
{editbox name=$field.field max=10 width=60 text=$field.value}<br>

{elseif $field.type=="bool"}
<br><input type="checkbox" name="{$field.field}"{if $field.value=='Y'} checked{/if}>&nbsp;{$field.name}<br>

{elseif $field.type=="text"}
{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}<br>
{textarea name=$field.field rows=$field.property text=$field.value}<br>

{elseif $field.type=="select"}
{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}<br>
<select name="{$field.field}">
{if $field.fill=="N"}<option value="0">Не выбрано</option>{/if}
{html_options options=$field.options selected=$field.value}
</select><br>

{elseif $field.type=="file" || $field.type=="image"}
{$field.name}:<br>
<input type="file" name="{$field.field}"><br>

{/if}
{/foreach}
<br>

{captcha style="float:right"}
Введите код на рисунке:
{editbox name="captcha" max=4 width="50"}<br>
<br>
{submit caption="Регистрация"}
{hidden name="action" value="register"}
</form>

{include file="_footer.tpl"}